{ config, lib, ... }:

let
  domain = "htbaz.giugl.io";
in
{
  services.bazarr = {
    enable = true;
    group = "media";
  };

  architect.vhost.${domain} = with config.architect.networks; {
    dnsInterfaces = [ "tailscale" ];
    locations."/" = {
      allowLan = true;
      port = 6767;
      
      allow = [
        tailscale.net
      ];
    };
  };

  users.groups.media.members = [ "bazarr" ];
}
